# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/sirf.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: CSR SiRFprimaII and SiRFmarco device tree bindings.

maintainers:
  - Binghua Duan <binghua.duan@csr.com>
  - Barry Song <Baohua.Song@csr.com>

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - items:
          - const: sirf,atlas6-cb
          - const: sirf,atlas6
      - items:
          - const: sirf,atlas7-cb
          - const: sirf,atlas7
      - items:
          - const: sirf,prima2-cb
          - const: sirf,prima2

additionalProperties: true

...
